dots.v2.vpc_peerings.post()

Generated on 13 Nov 2026 from DoTs version v1.24.0

Usage

client.v2.vpc_peerings.post(body: Vpc_peeringsPostRequestBody, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Vpc_peeringsPostResponse>

Description

To create a new VPC Peering, send a POST request to /v2/vpc_peerings specifying a name and a list of two VPC IDs to peer. The response code, 202 Accepted, does not indicate the success or failure of the operation, just that the request has been accepted for processing.

Parameters

name string required

Example: nyc1-blr1-peering

The name of the VPC peering. Must be unique within the team and may only contain alphanumeric characters and dashes.

vpcIds array of strings required

Example: ["c140286f-e6ce-4131-8b7b-df4590ce8d6a", "994a2735-dc84-11e8-80bc-3cfdfea9fba1"]

An array of the two peered VPCs IDs.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.vpc_peerings.post({
    name: "nyc1-blr1-peering",
    vpcIds: [
        "c140286f-e6ce-4131-8b7b-df4590ce8d6a",
        "994a2735-dc84-11e8-80bc-3cfdfea9fba1",
    ],
});

Response Example

Show Response Example
{
  "vpc_peering": {
    "id": "5a4981aa-9653-4bd1-bef5-d6bff52042e4",
    "name": "example-vpc-peering",
    "vpc_ids": [
      "997615ce-132d-4bae-9270-9ee21b395e5d",
      "e51aed59-3bb1-4a6a-8de0-9d1329e9c997"
    ],
    "created_at": "2024-01-09T20:44:32Z",
    "status": "PROVISIONING"
  }
}

More Information

See /v2/vpc_peerings in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.